> For the complete documentation index, see [llms.txt](https://docs.hivepress.io/developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hivepress.io/developer-docs/framework/configurations/image-sizes.md).

# Image sizes

This configuration contains parameters that HivePress uses for registering the custom image sizes. Each image size is defined as an array of parameters accepted by the [add\_image\_size](https://developer.wordpress.org/reference/functions/add_image_size/) function. The array key is used as the image size name (prefixed with `hp_`).

The code example below changes the `landscape_small` image size parameters. In the same way, you can customize any of the available image sizes or register a new one by adding an array with the image size parameters. Also, if you set the `label` parameter, HivePress will display settings for this image size in the **Settings > Media** section.

```php
add_filter(
	'hivepress/v1/image_sizes',
	function( $image_sizes ) {
		$image_sizes['landscape_small']['height'] = 123;

		return $image_sizes;
	}
);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/configurations/image-sizes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
